# -*- mode: rpm-spec; mode: folding -*-
# vim: set ft=spec:
# vim600: set fdm=marker:
# $Id: design-bootloader-MaxSelect.spec,v 1.1 2005/07/18 11:23:43 sadist Exp $

%define theme	MaxSelect

Name:         design-bootloader-%theme
Version:      2.9.8
Release:      alt1

Summary:      Graphical boot logo for lilo and syslinux.
License:      GPL
Group:        Graphics

Source:	      %name-%version.tar.bz2
BuildArch:    i386

# Automatically added by buildreq on Tue Mar 22 2005
BuildRequires: cpio gfxboot >= 2.5

%description
Here you find the graphical boot logo. Suitable for both lilo and syslinux.

%prep
%setup -q

%post
%__ln_s -nf %theme/message /boot/splash/message

%preun
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != %theme/message ] ||
    %__rm -f /boot/splash/message


%build
%make BINDIR=/usr/bin/

%install
%__install -d -m 755 %buildroot/boot/splash/%theme
%__install -d -m 755 %buildroot/%_datadir/gfxboot/%theme/
%__install -m 644 boot/message %buildroot/boot/splash/%theme/
%__install -m 644 install/bootlogo %buildroot%_datadir/gfxboot/%theme/

%files
%_datadir/gfxboot/%theme
/boot/splash/%theme

%changelog
* Wed Oct 05 2005 Anton Farygin <rider@altlinux.ru> 2.9.8-alt1
- first build for Sisyphus

